module CompanyManager
  class Company
    def initialize(opts = {})
      @name = opts[:name].to_s.strip
      @id = opts[:id]
    end

    attr_accessor :name, :id

    def employee
      @employee ||= []
    end

    def add_employee(*employe)
      employee.concat(employe)
    end

    def remove_employee(name)
      employee.delete_if do |employe|
        employe.first_name == name || employe.last_name == name
      end
    end
  end
end
