require 'company_manager/version'
require 'employee'
require 'company'

module CompanyManager
  class Main
    def run
      loop do
        each_loop_process
        break if output == 'exit'
      end
    end

    def each_loop_process
      read_input
      process_commands
    end

    attr_reader :output

    def read_input
      @output = $stdin.gets.chomp
    end

    def process_commands
      case output
      when 'help' then puts 'To jest pomoc'
      end
    end
  end
end
